Snoze Developers
API referenceBilling

Set Ai Seat

PUT
/v1/workspaces/{workspaceId}/billing/ai-seats
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

workspaceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/workspaces/string/billing/ai-seats" \  -H "Content-Type: application/json" \  -d '{    "userId": "string",    "enabled": true  }'
{  "data": {    "seatPriceCents": 0,    "enabledSeats": 0,    "billableSeats": 0,    "monthlyCents": 0,    "members": [      {        "userId": "string",        "displayName": "string",        "email": "string",        "role": "string",        "hasSeat": true,        "included": true      }    ]  }}